FortID LogoFortID

Issuance Status Check

Track the progress and status of credential issuance requests.

Get the status of an issuance session between Issuer Service and external wallet.

POST
/control/issuer/{issuerId}/get-session-status/{sessionId}

Returns the status of an issuance session between Issuer Service and external wallet. The status can be one of the following:

  • IN_PROGRESS — denoting that the issuance protocol is still ongoing.
  • ISSUANCE_FAILED — denoting that the issuance protocol has terminated, and Issuer Service was unable to issue the credential. Additionally, a description field will be present with this variant containing some additional information.
  • ISSUANCE_SUCCEEDED — denoting that the issuance protocol has terminated, and Issuer Service was able to issue the credential to an external wallet.

While the session is IN_PROGRESS it can timeout. Timeout value is controlled by the session_timeout_secs configuration parameter. After the session expires, there is a grace period in which a 410 - Session expired is returned. The grace period value is controlled by the session_timeout_grace_period_secs configuration parameter. After the grace period is over, the session is removed no matter its status and a 404 - Session not found is returned.

Path Parameters

issuerId*string

An ID of the Issuer to retrieve.

sessionId*string

A unique ID of the issuance session

Formatuuid

Header Parameters

X-API-KEY*string

API key for authenticating requests to the Issuer Service.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://eis.fortid.com/control/issuer/fortid_issuer/get-session-status/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-API-KEY: HCLN4ZKnWYJAfyNkDnQ57gEAHuejD6MN"
{
  "issuanceSessionStatus": "ISSUANCE_FAILED",
  "description": "Obtained invalid proof from wallet (signature verification failed)."
}
{
  "message": "Session ID is not a valid UUID"
}
Empty
Empty
{
  "message": "Issuance Session not found"
}
{
  "message": "Issuance Session expired"
}
{
  "message": "string"
}